Realties

  1. List and search
  2. Detail
  3. Expose
  4. Inquiry
  5. Ids

Detail /objekt/detail

Returns detailed information of a single realty as xml loosely based on Openimmo 1.2.7. The energy certificate data is documented here.

Parameters

objekt_id
The id of the realty
culture
Language for i18n fields
Default: de
picturesize
The Picture Size to be used for picture urls. Multiple sizes can be requested using array notation (e.g. picturesize[]=big&picturesize[]=small)

Expose /objekt/expose

Returns the content of the expose pdf as a stream

Parameters

objekt_id
The id of the realty
expose
The type of the expose. A list of expose types is available here.
Default: Default
culture
Language
Default: de

Example

Get the default expose for realty 123456 in English language

https://api.justimmo.at/rest/v1/objekt/expose?objekt_id=123456&expose=DefaultNew&culture=en

Inquiry /objekt/anfrage

Create an inquiry. Justimmo will automatically create a contact and assign the inquiry to the employee of the realty. Requests missing a required parameter are rejected with 422.

Parameters

objekt_id
Id of the realty
anrede_id
Salutation of contact
titel
title of contact
vorname
Required. First name of contact
nachname
Required. Last name of contact
suffix
suffix of contact
email
Email adress of contact
tel
Phone number of contact
message
Required. Message of the inquiry
strasse
Street of contact
plz
Zip code of contact
ort
City of contact
land
Country of contact
kategorie
Name of a single marketing category the contact should be assigned to. Matched by name against the marketing-usable categories; a non-matching value is ignored. Example: "Website-Anfrage"
firma
Company of the contact
newsletter[]
An array of newsletter category ids to be assigned to the contact created by this request.
doubleoptin_completed
1 or 0. Whether double opt-in has already been completed externally or not. If not Justimmo will handle double opt-in and send an email to the contact automatically
is_realty_owner
1 or 0. Whether the inquiry comes from a realty owner. If 1, the contact is assigned to the contact category "Owner".
realty_owner_consultation_request
1 or 0. Whether the inquiry comes from a realty owner who wants a consultation from an agent. If 1, the agent will receive an email about this request for a personal consultation.
funding_inquiry *
1 or 0. Whether the inquiry comes with a funding request. If 1, the agent or the selected 3rd party will receive an email about this request for a personal consultation.

* Additional paid service that can be activated in Justimmo.

Example

Create a inquiry for contact “Test Test test@gmail.com

https://api.justimmo.at/rest/v1/objekt/anfrage?objekt_id=123456&vorname=Test&nachname=Test&email=test%40gmail.com&tel=123456&is_realty_owner=0&realty_owner_consultation_request=0&funding_inquiry=1&message=Ich+interessiere+mich+f%C3%BCr+das+Angebot

The inquiry and contact have been created successfully, if the response code is 200.

Ids /objekt/ids

Returns ids of ALL matching real-estates as JSON. Filters and orderby/ordertype/alleProjektObjekte/preciseAreaSearch from the realty list call apply. limit, offset, picturesize, showDetails and culture have no effect here - the call is not paginated and returns ids only.

Example

All realty ids for rent with a max monthly rent price of 2.000€

https://api.justimmo.at/rest/v1/objekt/ids?filter[miete]=1&filter[preis_bis]=2000
["361672","361671","361670","361668","361667","361666","361665","131924","131923","131922","131921","131920","131919","131917","131915"]